#include "mem.h"

void smemset(void *v, int c, size_t n) {
  volatile unsigned char *p = v;
  while (n--) {
    *p++ = c;
  }
}

int smemcpy(void *dest, size_t dest_size, const void *src, size_t count) {
  if (count > dest_size) {
    return ERANGE;
  }
  memcpy(dest, src, count);
  return 0;
}
